Multibyte String Functions
Pspell
Multibyte String Functions
PHP Manual

# mb_substr

(PHP 4 >= 4.0.6, PHP 5)

mb_substr — Get part of string

### Description

string mb_substr ( string `$str` , int `$start` [, int `$length` [, string `$encoding` ]] )

Performs a multi-byte safe substr() operation based on number of characters. Position is counted from the beginning of `str` . First character's position is 0. Second character position is 1, and so on.

### Parameters

`str`

  The string being checked.

`start`

  The first position used in `str` .

`length`

  The maximum length of the returned string.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

mb_substr() returns the portion of `str` specified by the `start` and `length` parameters.

### See Also

- mb_strcut()
- mb_internal_encoding()

Multibyte String Functions
Pspell
Multibyte String Functions
PHP Manual